Discussion:
GnuCap et GnuChess pour GCompris <- AbulÉdu 15.08 en cours de dev - On cherche des testeurs (et des sous) :p
(too old to reply)
Jean THIERY
2015-08-06 17:17:25 UTC
Permalink
Bonjour Éric,

GCompris est souvent distribué en version simplifiée.

Pour une version complète il faut ajouter deux dépendances :

- GnuCap pour la simulation de circuits électriques
http://www.gnu.org/software/gnucap
voir les informations affichées par
GCompris > Expérimentations > Électricité

- GnuChess pour les jeux d'échecs.
GCompris > Jeux de stratégie > Échecs

+ ???

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Bonjour Éric,
Bonjour,
ça sera possible pour la prochaine, il faut entre temps passer par un
coup de isohybrid (que j'ai découverts à cette occasion)
donc tu peux
a) lancer la commande isohybrid abuledu-client-......iso puis ta
commande dd et ça devrait marcher
Faut-il rajouter des paramètres ?
Mes nombreux essais n'ont pas été concluants
- ni avec « dd »
- ni avec « bar » qui est plus rassurant (Merci Georges).
b) avec usb-creator-gtk (ubuntu c'est dans système / administration /
création de disque de démarrage) mais le hic c'est que j'ai observé que
créer un usb bootable 14.04 à partir d'une 10.04 ne donne pas le
résultat escompté, certes la clé est bootable mais le menu n'est pas
correct et donc les options de boot ne sont pas correctement passées
(par exemple la langue par défaut n'est pas active, le menu n'est pas
affiché etc.)
J'ai souvent utilisé « usb-creator-gtk » avec succès
pour d'autres projets.
Mais je n'ai pas obtenu une clef bootable pour abuledu...
Quand on insère la clef on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
Si on utilise la version modifiée par isohybrid on obtient
« isolinux.bin missing or corrupt ».
au final je cherche encore une solution "universelle", la a) me semble
la mieux adaptée mais pour des gens normaux utiliser dd c'est un peu ...
délicat et surtout le principal handicap de dd c'est qu'à moins de faire
un kill de temps en temps on ne "vois" pas de progression ...
Il serait peut-être utile de prendre contact avec le projet
Emmabuntus. Leurs images iso sont bien gérées par « usb-creator-gtk »
a+
Éric
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
======= Message antérieur ======================================
Bonjour Éric,
Quelle est la procédure de création d'une clef USB que tu conseilles
avec le fichier « abuledu-client-15.08.0-BETA-0728.iso » ?
J'ai essayé la procédure
sudo dd if=abuledu-client-15.08.0-BETA-0728.iso of=/dev/sdc1 bs=1M
qui avait marché avec
« Mageia-4.1-LiveDVD-KDE4-i586-DVD.iso » et
« xubuntu-14_04-desktop-i386.iso »
La clef ainsi obtenue n'est pas bootable (malgré le drapeau boot)
et a pour étiquette « AbulEdu Live 15.08.0-BETA-0728 ».
Quand on l'insère on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-06 18:59:47 UTC
Permalink
Bonjour à tous,

Voici les derniers résultats de mes essais
pour obtenir avec « usb-creator-gtk »
une clef USB AbulÉdu bootable (version 0803).


*Mode procédural*

Les procédures contenant les lignes suivantes marchent bien
avec Emmabuntus et Ubuntu :
sudo usb-creator-gtk --iso=Emmabuntus3-desktop-amd64-14.04.2-1.01.iso
sudo usb-creator-gtk --iso=ubuntu-14.04.2-desktop-amd64.iso --safe

La procédure suivante ne semble pas marcher avec Abuledu 0803
sudo usb-creator-gtk --iso=abuledu-client-15.08.0-BETA-0803.iso


*En ligne de commande*

Les commandes suivantes affichent correctement le menu
permettant de créer une clef USB de démarrage
usb-creator-gtk --iso=Emmabuntus3-desktop-amd64-14.04.2-1.01.iso
usb-creator-gtk --iso=ubuntu-14.04.2-desktop-amd64.iso

La commande suivante affiche le menu en grisé
ce qui ne permet pas de créer une clef USB de démarrage
usb-creator-gtk --iso=abuledu-client-15.08.0-BETA-0803.iso


*Conclusion*

Le programme « usb-creator-gtk » permet de tester rapidement
une image ISO avant de la copier sur une clef USB.
Ce test minimum ne garantit le bon fonctionnement de la copie USB !


*Remarques*

L'outil « usb-creator-gtk » semble conçu
pour des fichiers ISO Ubuntu
« A tool to take Ubuntu CDs and ISO files
and write them in a usable form to USB disks. »
https://launchpad.net/usb-creator

« usb-creator-gtk » semble être très sûr :
on ne devrait pas pouvoir modifier le(s) disque(s)
de l'ordinateur.


A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Bonjour,
ça sera possible pour la prochaine, il faut entre temps passer par un
coup de isohybrid (que j'ai découverts à cette occasion)
donc tu peux
a) lancer la commande isohybrid abuledu-client-......iso puis ta
commande dd et ça devrait marcher
Faut-il rajouter des paramètres ?
Mes nombreux essais n'ont pas été concluants
- ni avec « dd »
- ni avec « bar » qui est plus rassurant (Merci Georges).
b) avec usb-creator-gtk (ubuntu c'est dans système / administration /
création de disque de démarrage) mais le hic c'est que j'ai observé que
créer un usb bootable 14.04 à partir d'une 10.04 ne donne pas le
résultat escompté, certes la clé est bootable mais le menu n'est pas
correct et donc les options de boot ne sont pas correctement passées
(par exemple la langue par défaut n'est pas active, le menu n'est pas
affiché etc.)
J'ai souvent utilisé « usb-creator-gtk » avec succès
pour d'autres projets.
Mais je n'ai pas obtenu une clef bootable pour abuledu...
Quand on insère la clef on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
Si on utilise la version modifiée par isohybrid on obtient
« isolinux.bin missing or corrupt ».
au final je cherche encore une solution "universelle", la a) me semble
la mieux adaptée mais pour des gens normaux utiliser dd c'est un peu ...
délicat et surtout le principal handicap de dd c'est qu'à moins de faire
un kill de temps en temps on ne "vois" pas de progression ...
Il serait peut-être utile de prendre contact avec le projet
Emmabuntus. Leurs images iso sont bien gérées par « usb-creator-gtk »
a+
Éric
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Quelle est la procédure de création d'une clef USB que tu conseilles
avec le fichier « abuledu-client-15.08.0-BETA-0728.iso » ?
J'ai essayé la procédure
sudo dd if=abuledu-client-15.08.0-BETA-0728.iso of=/dev/sdc1 bs=1M
qui avait marché avec
« Mageia-4.1-LiveDVD-KDE4-i586-DVD.iso » et
« xubuntu-14_04-desktop-i386.iso »
La clef ainsi obtenue n'est pas bootable (malgré le drapeau boot)
et a pour étiquette « AbulEdu Live 15.08.0-BETA-0728 ».
Quand on l'insère on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-07 13:50:06 UTC
Permalink
Bonjour Éric et Jean,

Le premier menu d'AbulÉdu est organisé par classes d'âge,
ce qui convient pour la majorité des élèves.

Sur les stands, je rencontre des éducateurs
qui voudraient utiliser AbulÉdu
pour aider des enfants en difficulté
ou des adultes en cours d'alphabétisation.

Ces utilisateurs n'aiment pas qu'on leur propose
une classe d'âge qui n'est pas la leur !

Peut-on envisager (pour cette version d'AbulÉdu ou une suivante)
d'autres classifications ?

- Débutant
- Habitué
- Confirmé | Expert

- pour débuter | pour commencer
- pour continuer
- pour tout explorer

- au début
- un peu plus tard
- ultérieurement

- premier niveau (*)
- deuxième niveau (**)
- troisième niveau (***)

ou des classifications issues du sport (par exemple).

NB: Les étoiles éventuelles pourraient être utiles
pour ceux qui apprennent à lire (?).
On pourrait aussi utiliser des smileys (?).

...

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Bonjour,
ça sera possible pour la prochaine, il faut entre temps passer par un
coup de isohybrid (que j'ai découverts à cette occasion)
donc tu peux
a) lancer la commande isohybrid abuledu-client-......iso puis ta
commande dd et ça devrait marcher
Faut-il rajouter des paramètres ?
Mes nombreux essais n'ont pas été concluants
- ni avec « dd »
- ni avec « bar » qui est plus rassurant (Merci Georges).
b) avec usb-creator-gtk (ubuntu c'est dans système / administration /
création de disque de démarrage) mais le hic c'est que j'ai observé que
créer un usb bootable 14.04 à partir d'une 10.04 ne donne pas le
résultat escompté, certes la clé est bootable mais le menu n'est pas
correct et donc les options de boot ne sont pas correctement passées
(par exemple la langue par défaut n'est pas active, le menu n'est pas
affiché etc.)
J'ai souvent utilisé « usb-creator-gtk » avec succès
pour d'autres projets.
Mais je n'ai pas obtenu une clef bootable pour abuledu...
Quand on insère la clef on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
Si on utilise la version modifiée par isohybrid on obtient
« isolinux.bin missing or corrupt ».
au final je cherche encore une solution "universelle", la a) me semble
la mieux adaptée mais pour des gens normaux utiliser dd c'est un peu ...
délicat et surtout le principal handicap de dd c'est qu'à moins de faire
un kill de temps en temps on ne "vois" pas de progression ...
Il serait peut-être utile de prendre contact avec le projet
Emmabuntus. Leurs images iso sont bien gérées par « usb-creator-gtk »
a+
Éric
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Quelle est la procédure de création d'une clef USB que tu conseilles
avec le fichier « abuledu-client-15.08.0-BETA-0728.iso » ?
J'ai essayé la procédure
sudo dd if=abuledu-client-15.08.0-BETA-0728.iso of=/dev/sdc1 bs=1M
qui avait marché avec
« Mageia-4.1-LiveDVD-KDE4-i586-DVD.iso » et
« xubuntu-14_04-desktop-i386.iso »
La clef ainsi obtenue n'est pas bootable (malgré le drapeau boot)
et a pour étiquette « AbulEdu Live 15.08.0-BETA-0728 ».
Quand on l'insère on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Éric Seigne
2015-08-07 13:53:14 UTC
Permalink
Hello,
abuledu est destiné à une cible assez précise et les choix ont été
établis par notre communauté.

maintenant, lorsque tu installe le live sur un ordinateur tu peux
ensuite créer les profils que tu veux.

la solution est donc simple: une communauté d'utilisateurs X se
regroupe, utilise la doc, produit des profils et ensuite les diffuse

tout simplement, c'est l'histoire du libre, moi je ne suis que le
vecteur, le catalyseur, le metteur en paquet mais les choix "métier" ou
"de contenu" sont communautaires

a+
Éric
Post by Jean THIERY
Bonjour Éric et Jean,
Le premier menu d'AbulÉdu est organisé par classes d'âge,
ce qui convient pour la majorité des élèves.
Sur les stands, je rencontre des éducateurs
qui voudraient utiliser AbulÉdu
pour aider des enfants en difficulté
ou des adultes en cours d'alphabétisation.
Ces utilisateurs n'aiment pas qu'on leur propose
une classe d'âge qui n'est pas la leur !
Peut-on envisager (pour cette version d'AbulÉdu ou une suivante)
d'autres classifications ?
- Débutant
- Habitué
- Confirmé | Expert
- pour débuter | pour commencer
- pour continuer
- pour tout explorer
- au début
- un peu plus tard
- ultérieurement
- premier niveau (*)
- deuxième niveau (**)
- troisième niveau (***)
ou des classifications issues du sport (par exemple).
NB: Les étoiles éventuelles pourraient être utiles
pour ceux qui apprennent à lire (?).
On pourrait aussi utiliser des smileys (?).
...
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Éric Seigne - Directeur | ***@ryxeo.com
RyXéo SARL | http://www.ryxeo.com
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Éric Seigne
2015-08-07 13:55:46 UTC
Permalink
<html>
<head>
<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
</head>
<body text="#000000" bgcolor="#FFFFFF">
<div class="moz-cite-prefix">Le 07/08/2015 15:53, Éric Seigne a
écrit :<br>
</div>
<blockquote cite="mid:***@ryxeo.com" type="cite">
<pre wrap="">
Hello,
abuledu est destiné à une cible assez précise et les choix ont été
établis par notre communauté.

maintenant, lorsque tu installe le live sur un ordinateur tu peux
ensuite créer les profils que tu veux.

la solution est donc simple: une communauté d'utilisateurs X se
regroupe, utilise la doc, produit des profils et ensuite les diffuse

tout simplement, c'est l'histoire du libre, moi je ne suis que le
vecteur, le catalyseur, le metteur en paquet mais les choix "métier" ou
"de contenu" sont communautaires</pre>
</blockquote>
Mail envoyé un peu trop vite, c'est ainsi que nous avons de profils<br>
 - de couleur<br>
 - par ceinture<br>
 - par mots clés<br>
<br>
Dans certaines écoles ...<br>
<br>
Et mon 1er mail, ma 1ere demande de contribution sur cette version
15.08 c'est quoi ?<br>
<br>
<ul>
<li>Créer les profils utilisateurs comme François Audirac l'avait
fait pour la 11.08 -&gt; <a class="external"
href="http://abuledu.org/abuledu/monoposte">http://abuledu.org/abuledu/monoposte</a></li>
</ul>
<br>
a+<br>
Éric<br>
<pre class="moz-signature" cols="72">--
Éric Seigne - Directeur | <a class="moz-txt-link-abbreviated" href="mailto:***@ryxeo.com">***@ryxeo.com</a>
RyXéo SARL | <a class="moz-txt-link-freetext" href="http://www.ryxeo.com">http://www.ryxeo.com</a>
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607</pre>
</body>
</html>
Jean THIERY
2015-08-07 15:15:19 UTC
Permalink
Re-bonjour Éric,

Merci bien pour l'information,

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message original =======================================
Post by Éric Seigne
Post by Éric Seigne
Hello,
abuledu est destiné à une cible assez précise et les choix ont été
établis par notre communauté.
maintenant, lorsque tu installe le live sur un ordinateur tu peux
ensuite créer les profils que tu veux.
la solution est donc simple: une communauté d'utilisateurs X se
regroupe, utilise la doc, produit des profils et ensuite les diffuse
tout simplement, c'est l'histoire du libre, moi je ne suis que le
vecteur, le catalyseur, le metteur en paquet mais les choix "métier" ou
"de contenu" sont communautaires
Mail envoyé un peu trop vite, c'est ainsi que nous avons de profils
- de couleur
- par ceinture
- par mots clés
Dans certaines écoles ...
Et mon 1er mail, ma 1ere demande de contribution sur cette version 15.08
c'est quoi ?
* Créer les profils utilisateurs comme François Audirac l'avait fait
pour la 11.08 -> http://abuledu.org/abuledu/monoposte
a+
Éric
--
RyXéo SARL | http://www.ryxeo.com
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-08 14:24:31 UTC
Permalink
Bonjour Éric et Jean,

On assiste actuellement à un certain engouement
pour l'apprentissage précoce de la programmation,
en particulier avec Scratch et Python.

Les présentations de Scratch peuvent s'appuyer sur le livre
« Scratch pour les Kids » (dès 8 ans)
http://www.editions-eyrolles.com/Livre/9782212141115/scratch-pour-les-kids
et son cahier d'activités (dès 8 ans)
http://www.eyrolles.com/Informatique/Livre/cahier-d-activites-scratch-pour-les-kids-9782212142181

Les présentations de Python peuvent s'appuyer sur le livre
« Python pour les kids » (dès 10 ans)
http://www.eyrolles.com/Informatique/Livre/python-pour-les-kids-9782212140880
et sur des exemples tirés du projet OLPC (One Laptop Per Child)
http://wiki.laptop.org/go/Pippy


*AbulÉdu et Scratch*

Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?


*AbulÉdu et Python*

AbulÉdu 15.08 intégre
- la version 2.7.6 de Python2 (probablement proche
de la dernière version stable 2.7.10 de Python 2)
- et la version 3.4.0 de Python3

Ces deux versions sont bien adaptées pour des démonstrations.

L'idéal serait de *pré-installer un IDE*
(environnement de développement intégré)
pour lancer facilement des démonstrations :
- soit IDLE conseillé par « Python pour les kids »
https://fr.wikipedia.org/wiki/IDLE_%28Python%29
- soit DrPython que je trouve facile à utiliser.
http://framasoft.net/article4172.html

Sinon on peut travailler en ligne de commande
(peu pédagogique).
Exemple : « python fibonacci.py »
La plupart de mes démonstrations marchent ainsi avec AbulÉdu 15.08.
Pour certaines d'entre elles, il faudrait installer
des modules spécifiques comme numpy.


A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Bonjour,
ça sera possible pour la prochaine, il faut entre temps passer par un
coup de isohybrid (que j'ai découverts à cette occasion)
donc tu peux
a) lancer la commande isohybrid abuledu-client-......iso puis ta
commande dd et ça devrait marcher
Faut-il rajouter des paramètres ?
Mes nombreux essais n'ont pas été concluants
- ni avec « dd »
- ni avec « bar » qui est plus rassurant (Merci Georges).
b) avec usb-creator-gtk (ubuntu c'est dans système / administration /
création de disque de démarrage) mais le hic c'est que j'ai observé que
créer un usb bootable 14.04 à partir d'une 10.04 ne donne pas le
résultat escompté, certes la clé est bootable mais le menu n'est pas
correct et donc les options de boot ne sont pas correctement passées
(par exemple la langue par défaut n'est pas active, le menu n'est pas
affiché etc.)
J'ai souvent utilisé « usb-creator-gtk » avec succès
pour d'autres projets.
Mais je n'ai pas obtenu une clef bootable pour abuledu...
Quand on insère la clef on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
Si on utilise la version modifiée par isohybrid on obtient
« isolinux.bin missing or corrupt ».
au final je cherche encore une solution "universelle", la a) me semble
la mieux adaptée mais pour des gens normaux utiliser dd c'est un peu ...
délicat et surtout le principal handicap de dd c'est qu'à moins de faire
un kill de temps en temps on ne "vois" pas de progression ...
Il serait peut-être utile de prendre contact avec le projet
Emmabuntus. Leurs images iso sont bien gérées par « usb-creator-gtk »
a+
Éric
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
======= Message antérieur ======================================
Post by Jean THIERY
Bonjour Éric,
Quelle est la procédure de création d'une clef USB que tu conseilles
avec le fichier « abuledu-client-15.08.0-BETA-0728.iso » ?
J'ai essayé la procédure
sudo dd if=abuledu-client-15.08.0-BETA-0728.iso of=/dev/sdc1 bs=1M
qui avait marché avec
« Mageia-4.1-LiveDVD-KDE4-i586-DVD.iso » et
« xubuntu-14_04-desktop-i386.iso »
La clef ainsi obtenue n'est pas bootable (malgré le drapeau boot)
et a pour étiquette « AbulEdu Live 15.08.0-BETA-0728 ».
Quand on l'insère on voit apparaître le message
« A volume with software packages has been detected »
et son arborescence apparaît en clair
A bientôt sur Internet,
Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Hilaire Fernandes
2015-08-10 03:45:34 UTC
Permalink
Post by Jean THIERY
*AbulÉdu et Scratch*
Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?
Bonjour,
La version desktop 1.4 de Scratch (sans flash) n'est plus développée,
mais elle continue de fonctionner :)
Il existe également Pratch[1] qui est une reprise et extension du
Scratch originel. Il est developpé par un enseignant de l'école des
mines de Douai[2]

Hilaire

[1] http://www.phratch.com/
[2] http://car.mines-douai.fr/category/software/phratch/
--
Dr. Geo
http://drgeo.eu
http://google.com/+DrgeoEu
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Eric Seigne
2015-08-10 06:31:32 UTC
Permalink
Bonjour Hilaire,
merci beaucoup pour ces liens, c'était justement la raison pour laquelle
je n'aimais pas scratch ...

a+
Éric
Post by Jean THIERY
*AbulÉdu et Scratch*
Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?
Bonjour,
La version desktop 1.4 de Scratch (sans flash) n'est plus développée,
mais elle continue de fonctionner :)
Il existe également Pratch[1] qui est une reprise et extension du
Scratch originel. Il est developpé par un enseignant de l'école des
mines de Douai[2]
Hilaire
[1] http://www.phratch.com/
[2] http://car.mines-douai.fr/category/software/phratch/
--
Éric Seigne - Directeur | ***@ryxeo.com
RyXéo SARL | http://www.ryxeo.com
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Thierry Pasquier
2015-08-10 08:53:16 UTC
Permalink
Bonjour
Post by Jean THIERY
*AbulÉdu et Scratch*
Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?
Bonjour,
La version desktop 1.4 de Scratch (sans flash) n'est plus développée,
mais elle continue de fonctionner :)
En complément au mail de Hilaire.

Snap! est similaire à Scratch "nouvelle mouture", il fonctionne en
ligne et a été développé en HTML5/Javascript pour implémenter la
possibilité de déclarer de nouvelles briques (initialement, le projet
se nommait BYOB : Build Your Own Blocks), ce que Scratch 1.4 ne
proposait pas nativement.
http://snap.berkeley.edu/

A mon avis, il est très complémentaire de Scratch pour aller plus loin
dans l'apprentissage des concepts clés de l'informatique; par exemple
snap! manipule des listes, des tableaux et des arbres, implémente les
continuations, etc. Détail intéressant, il offre la possibilité de
grossir les briques et de les exporter en png ce qui est bien pratique
pour documenter. Voir le manuel de référence :
http://snap.berkeley.edu/snapsource/help/SnapManual.pdf

Évidemment, il est libre sous GNU Affero General Public License
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks

Snap! gèrer la connectivité (entre usagers, avec des capteurs ou des
services web, etc.) de manière assez généralisée.
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks/blob/master/Snap!%20Connectivity%20Strategy.pdf

Pour la partie communautaire (inscription, partage et réutilisation de
projet), le site de démo
http://snap.berkeley.edu/run
utilise un service payant mais manifestement proposé gratuitement pour
le projet Snap!
http://www.miosoft.com/

Ce pourrait être sympa pour une classe que cette fonctionnalité soit
implémentée sur une base ouverte.

Une solution que je n'ai pas essayé : https://github.com/ucb-snap/snap-server

Voir aussi ce site francophone créé par deux étudiants et qui propose
une interface de connexion et de partage
https://rsnap.herokuapp.com/
https://github.com/snap-school

cette page compile les développements autour de Snap!
https://github.com/Gubolin/awesome-snap

bien cordialement
--
Thierry Pasquier
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-10 15:15:07 UTC
Permalink
Re-bonjour à tous,
Post by Jean THIERY
Bonjour
Post by Jean THIERY
*AbulÉdu et Scratch*
Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?
Bonjour,
La version desktop 1.4 de Scratch (sans flash) n'est plus développée,
mais elle continue de fonctionner :)
Peut-on tester Phratch en ligne ?

J'ai eu un problème de plugin avec son installation.
Post by Jean THIERY
En complément au mail de Hilaire.
Snap! est similaire à Scratch "nouvelle mouture", il fonctionne en
ligne et a été développé en HTML5/Javascript pour implémenter la
possibilité de déclarer de nouvelles briques (initialement, le projet
se nommait BYOB : Build Your Own Blocks), ce que Scratch 1.4 ne
proposait pas nativement.
http://snap.berkeley.edu/
Le développement en HTML5/Javascript est prometteur
en particulier pour sa portabilité potentielle.

Snap est utilisable en ligne avec Abulédu 15.08
comme le montrent les exemples que je viens de tester.

Snap fonctionne aussi en ligne sur un mobile Firefox OS
avec l'exemple « tree » mais le résultat n'est pas très pédagogique
compte tenu de la taille de l'écran (86 x 52 mm) !

Pour Abulédu 15.08 (en bêta test) il me semble qu'il serait
souhaitable d'installer Scratch dans sa version actuelle.
On bénéficierait ainsi
- de toute la bibliothèque du MIT
- et de tous les livres déjà publiés.

On pourrait aussi proposer des liens vers les nouveaux
développements (Phratch et Snap) pour que les publics
concernés puissent lancer des expériences pédagogiques
pendant la prochaine année scolaire.

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
Post by Jean THIERY
A mon avis, il est très complémentaire de Scratch pour aller plus loin
dans l'apprentissage des concepts clés de l'informatique; par exemple
snap! manipule des listes, des tableaux et des arbres, implémente les
continuations, etc. Détail intéressant, il offre la possibilité de
grossir les briques et de les exporter en png ce qui est bien pratique
http://snap.berkeley.edu/snapsource/help/SnapManual.pdf
Évidemment, il est libre sous GNU Affero General Public License
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks
Snap! gèrer la connectivité (entre usagers, avec des capteurs ou des
services web, etc.) de manière assez généralisée.
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks/blob/master/Snap!%20Connectivity%20Strategy.pdf
Pour la partie communautaire (inscription, partage et réutilisation de
projet), le site de démo
http://snap.berkeley.edu/run
utilise un service payant mais manifestement proposé gratuitement pour
le projet Snap!
http://www.miosoft.com/
Ce pourrait être sympa pour une classe que cette fonctionnalité soit
implémentée sur une base ouverte.
Une solution que je n'ai pas essayé : https://github.com/ucb-snap/snap-server
Voir aussi ce site francophone créé par deux étudiants et qui propose
une interface de connexion et de partage
https://rsnap.herokuapp.com/
https://github.com/snap-school
cette page compile les développements autour de Snap!
https://github.com/Gubolin/awesome-snap
bien cordialement
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Hilaire Fernandes
2015-08-11 02:44:20 UTC
Permalink
Post by Jean THIERY
Peut-on tester Phratch en ligne ?
J'ai eu un problÚme de plugin avec son installation.
Pratch est uniquement une application desktop.
L'installation de certaines bibliothÚques de compatibilité 32bits peut
être nécessaire.
Quel message d'erreur as tu eu ?

Hilaire
--
Dr. Geo
http://drgeo.eu
http://google.com/+DrgeoEu
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-14 15:01:08 UTC
Permalink
Bonjour Hilaire,

Voici les messages affichés lors des essais d'installation
de Phratch.

*Ordinateur Ubuntu 14.04 LTS version 64 bits*

*Mode ligne de commandes*
http://www.phratch.com/phratch/phratchinstall

$ sudo add-apt-repository ppa:pharo/stable
$ sudo apt-get update

$ sudo apt-get install phratch
affiche

" Lecture des listes de paquets…
" Construction de l'arbre des dépendances…
" Lecture des informations d'état…
" Certains paquets ne peuvent être installés. Ceci peut signifier
" que vous avez demandé l'impossible, ou bien, si vous utilisez
" la distribution unstable, que certains paquets n'ont pas encore
" été créés ou ne sont pas sortis d'Incoming.
" L'information suivante devrait vous aider à résoudre la situation :
"
" Les paquets suivants contiennent des dépendances non satisfaites :
" phratch : Dépend: pharo-vm-core:i386 mais il n'est pas installable
" Impossible de corriger les problèmes,
" des paquets défectueux sont en mode « garder en l'état ».

*La tentative d'installation avec synaptic affiche*

" Dépend: pharo-vm-core:i386 mais il n'est pas installable


J'ai obtenu les mêmes résultats sur un autre ordinateur
*avec Ubuntu 14.04 LTS version 32 bits*

NB: Les deux ordinateurs sont des ordinateurs de démonstration
avec beaucoup de logiciels : Edubuntu +...

En espérant que ces informations sont suffisamment détaillées.

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Post by Hilaire Fernandes
Post by Jean THIERY
Peut-on tester Phratch en ligne ?
J'ai eu un problème de plugin avec son installation.
Pratch est uniquement une application desktop.
L'installation de certaines bibliothèques de compatibilité 32bits peut
être nécessaire.
Quel message d'erreur as tu eu ?
Hilaire
--
Dr. Geo
http://drgeo.eu
http://google.com/+DrgeoEu
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Hilaire Fernandes
2015-08-15 04:48:43 UTC
Permalink
Bonjour Thierry,

Le paquet de la VM semble avoir un problÚme, j'ai transmis l'info à
l'auteur.

En attendant tu peux essayer avec le paquet autonome, c'est le premier
proposé dans la liste.

Tu pourrais avoir besion d'installer manuellement la compatibilié 32
bits si elle n'est pas présente sur ton systÚme 64 bits:

|sudo dpkg --add-architecture i386|
|sudo apt-get update|
|sudo apt-get dist-upgrade||
sudo apt-get install libcairo2:i386|

Hilaire
Post by Eric Seigne
Bonjour Hilaire,
Voici les messages affichés lors des essais d'installation
de Phratch.
--
Dr. Geo
http://drgeo.eu
http://google.com/+DrgeoEu
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Éric Seigne
2015-08-11 15:33:13 UTC
Permalink
<html>
<head>
<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
</head>
<body text="#000000" bgcolor="#FFFFFF">
<div class="moz-cite-prefix">Le 11/08/2015 17:20, Jean-Pierre
Tocquer a écrit :<br>
</div>
<blockquote cite="mid:***@wanadoo.fr" type="cite">Bonjour,
<br>
<br>
Le 11/08/2015 17:03, Jean THIERY a écrit :
<br>
<blockquote type="cite">Éric : Sur quelle liste doit-on continuer
ces échanges ?
<br>
        Comment faut-il s'inscrire ?
<br>
<br>
Bonjour à tous,
<br>
<br>
Ce message présente, menu par menu, les différentes programmes
<br>
disponibles selon les 6 niveaux d'utilisation.
<br>
<br>
*Des remarques ou des suggestions sont proposées*
<br>
*pour certains programmes*.
<br>
<br>
Codage des niveaux d'utilisation :
<br>
1_____   Enfant - 6 ans et moins
<br>
_2____   Enfant - 6 et 8 ans -&gt; 6 à 8 ans
<br>
__3___   Enfant - plus de 8 ans
<br>
___4__   Parent ou enseignant (mot de passe requis)
<br>
</blockquote>
Quel est ce MdP ? Je n'en trouve trace nulle part...
<br>
</blockquote>
<br>
C'est pourtant dans la doc :<br>
<a
href="https://redmine.ryxeo.com/projects/abuledu-dvd-client/wiki/Abul%C3%89du_15080_beta_0803">https://redmine.ryxeo.com/projects/abuledu-dvd-client/wiki/Abul%C3%89du_15080_beta_0803</a><br>
<br>
le mot de passe parent ou enseignant est "ryxeo" (auto pub au
passage hahaha)<br>
<br>
et dans la page de <a
href="https://redmine.ryxeo.com/projects/abuledu-dvd-client/wiki/Abul%C3%89du_15080_beta_0728$">doc
précédente</a> je donnais le lien vers la liste adaptée pour
parler de tout ça si vous voulez vous y abonner, c'est ici<br>
<br>
<a href="http://listes.abuledu.org/wws/info/beta">http://listes.abuledu.org/wws/info/beta</a><br>
<br>
<blockquote cite="mid:***@wanadoo.fr" type="cite">
<blockquote type="cite">____5_   Session d'invité
<br>
_____6   Autre (mot de passe requis)
<br>
</blockquote>
Idem
<br>
</blockquote>
<br>
merci à vous pour vos retours de tests !!!!<br>
<br>
ces deux là ne sont que des artéfacts temporaires liés à la
dérivation ubuntu, vous pouvez donc les oublier :)<br>
<br>
a+<br>
Éric<br>
<pre class="moz-signature" cols="72">--
Éric Seigne - Directeur | <a class="moz-txt-link-abbreviated" href="mailto:***@ryxeo.com">***@ryxeo.com</a>
RyXéo SARL | <a class="moz-txt-link-freetext" href="http://www.ryxeo.com">http://www.ryxeo.com</a>
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607</pre>
</body>
</html>
Jean THIERY
2015-08-14 18:23:34 UTC
Permalink
Bonjour à tous,
Post by Éric Seigne
Bonjour,
...
1_____ Enfant - 6 ans et moins
_2____ Enfant - 6 et 8 ans -> 6 à 8 ans
__3___ Enfant - plus de 8 ans
___4__ Parent ou enseignant (mot de passe requis)
...
Post by Éric Seigne
____5_ Session d'invité
_____6 Autre (mot de passe requis)
ces deux là ne sont que des artéfacts temporaires
liés à la dérivation Ubuntu, vous pouvez donc les oublier :)
Effectivement la session « Autre » n'est pas indispensable.

Par contre, une session d'invité ayant accès sans privilèges
aux mêmes programmes que la session « Parent ou enseignant »
pourrait être utile
- pour tous ceux qui veulent tester AbulÉdu sans prendre de risques
- et lors des démonstrations « grand public ».
Post by Éric Seigne
a+
Éric
--
RyXéo SARL | http://www.ryxeo.com
21 avenue M. et E. Dulout | tel +33 (0)5 35 540 118
33600 Pessac - FRANCE | fax +33 (0)9 56 606 607
A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Jean THIERY
2015-08-14 16:49:33 UTC
Permalink
Bonjour à tous : pour information,

Snap est utilisable en ligne avec Abulédu 15.08
comme le montrent les exemples que j'ai pu tester.

L'un des exemples les plus intéressants est « Copter »
simulant un hélicoptère volant dans des circuits
très étroits et variables dans le temps
(les pales résistent aux chocs !).

On obtient ainsi un test de longue durée
sur les petits écrans tactiles des téléphones mobiles
(l'usage d'un stylet est fortement recommandé !).

Snap + Copter fonctionnent en ligne sur un mobile Firefox OS
(taille de l'affichage : 87 x 53 mm) !

Snap + Copter fonctionnent aussi en ligne sur un mobile Ubuntu Touch
avec le navigateur intégré (taille de l'affichage : 111 x 62 mm) !

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]

======= Message antérieur ======================================
Sujet : Re: [Educ] Scratch et Python <- AbulÉdu 15.08 en cours de dev -
On cherche des testeurs (et des sous) :p
Date : Mon, 10 Aug 2015 17:15:07 +0200
De : Jean THIERY <***@ModLibre.info>
Pour : ***@emf.ccsti.eu,
Hilaire Fernandes <***@drgeo.eu>,
SEIGNE Eric <***@ryxeo.com>
Copie : ***@aful.org

Re-bonjour à tous,
Post by Jean THIERY
Bonjour
Post by Jean THIERY
*AbulÉdu et Scratch*
Serait-il possible de pré-installer Scratch dans AbulÉdu 15.08 ?
Bonjour,
La version desktop 1.4 de Scratch (sans flash) n'est plus développée,
mais elle continue de fonctionner :)
Peut-on tester Phratch en ligne ?

J'ai eu un problème de plugin avec son installation.
Post by Jean THIERY
En complément au mail de Hilaire.
Snap! est similaire à Scratch "nouvelle mouture", il fonctionne en
ligne et a été développé en HTML5/Javascript pour implémenter la
possibilité de déclarer de nouvelles briques (initialement, le projet
se nommait BYOB : Build Your Own Blocks), ce que Scratch 1.4 ne
proposait pas nativement.
http://snap.berkeley.edu/
Le développement en HTML5/Javascript est prometteur
en particulier pour sa portabilité potentielle.

Snap est utilisable en ligne avec Abulédu 15.08
comme le montrent les exemples que je viens de tester.

Snap fonctionne aussi en ligne sur un mobile Firefox OS
avec l'exemple « tree » mais le résultat n'est pas très pédagogique
compte tenu de la taille de l'écran (86 x 52 mm) !

Pour Abulédu 15.08 (en bêta test) il me semble qu'il serait
souhaitable d'installer Scratch dans sa version actuelle.
On bénéficierait ainsi
- de toute la bibliothèque du MIT
- et de tous les livres déjà publiés.

On pourrait aussi proposer des liens vers les nouveaux
développements (Phratch et Snap) pour que les publics
concernés puissent lancer des expériences pédagogiques
pendant la prochaine année scolaire.

A bientôt sur Internet,

Jean [Jean.Thiery(ò)ModLibre.info][http://ModLibre.info/]
Post by Jean THIERY
A mon avis, il est très complémentaire de Scratch pour aller plus loin
dans l'apprentissage des concepts clés de l'informatique; par exemple
snap! manipule des listes, des tableaux et des arbres, implémente les
continuations, etc. Détail intéressant, il offre la possibilité de
grossir les briques et de les exporter en png ce qui est bien pratique
http://snap.berkeley.edu/snapsource/help/SnapManual.pdf
Évidemment, il est libre sous GNU Affero General Public License
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks
Snap! gèrer la connectivité (entre usagers, avec des capteurs ou des
services web, etc.) de manière assez généralisée.
https://github.com/jmoenig/Snap--Build-Your-Own-Blocks/blob/master/Snap!%20Connectivity%20Strategy.pdf
Pour la partie communautaire (inscription, partage et réutilisation de
projet), le site de démo
http://snap.berkeley.edu/run
utilise un service payant mais manifestement proposé gratuitement pour
le projet Snap!
http://www.miosoft.com/
Ce pourrait être sympa pour une classe que cette fonctionnalité soit
implémentée sur une base ouverte.
Une solution que je n'ai pas essayé : https://github.com/ucb-snap/snap-server
Voir aussi ce site francophone créé par deux étudiants et qui propose
une interface de connexion et de partage
https://rsnap.herokuapp.com/
https://github.com/snap-school
cette page compile les développements autour de Snap!
https://github.com/Gubolin/awesome-snap
bien cordialement
--
Gerez vos abonnements aux listes de diffusion : https://www.aful.org/wws

Ce message n'engage que son auteur et ne reflete pas la position officielle
de l'AFUL ; pour celle-ci consultez http://www.aful.org/
Loading...